<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;FBSDKSharingContent&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Properties</a> &#124;
<a href="protocol_f_b_s_d_k_sharing_content-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;FBSDKSharingContent&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_sharing_content_8h_source.html">FBSDKSharingContent.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for &lt;FBSDKSharingContent&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_f_b_s_d_k_sharing_content-p.png" usemap="#_3CFBSDKSharingContent_3E_map" alt=""/>
  <map id="_3CFBSDKSharingContent_3E_map" name="_3CFBSDKSharingContent_3E_map">
<area href="protocol_f_b_s_d_k_copying-p.html" alt="&lt;FBSDKCopying&gt;" shape="rect" coords="176,56,519,80"/>
<area href="interface_f_b_s_d_k_share_camera_effect_content.html" alt="FBSDKShareCameraEffectContent" shape="rect" coords="706,168,1049,192"/>
<area href="interface_f_b_s_d_k_share_link_content.html" alt="FBSDKShareLinkContent" shape="rect" coords="706,224,1049,248"/>
<area href="interface_f_b_s_d_k_share_media_content.html" alt="FBSDKShareMediaContent" shape="rect" coords="706,280,1049,304"/>
<area href="interface_f_b_s_d_k_share_messenger_generic_template_content.html" alt="FBSDKShareMessengerGenericTemplateContent" shape="rect" coords="706,336,1049,360"/>
<area href="interface_f_b_s_d_k_share_messenger_media_template_content.html" alt="FBSDKShareMessengerMediaTemplateContent" shape="rect" coords="706,392,1049,416"/>
<area href="interface_f_b_s_d_k_share_messenger_open_graph_music_template_content.html" alt="FBSDKShareMessengerOpenGraphMusicTemplateContent" shape="rect" coords="706,448,1049,472"/>
<area href="interface_f_b_s_d_k_share_open_graph_content.html" alt="FBSDKShareOpenGraphContent" shape="rect" coords="706,504,1049,528"/>
<area href="interface_f_b_s_d_k_share_photo_content.html" alt="FBSDKSharePhotoContent" shape="rect" coords="706,560,1049,584"/>
<area href="interface_f_b_s_d_k_share_video_content.html" alt="FBSDKShareVideoContent" shape="rect" coords="706,616,1049,640"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:af1a334ad35323e1f865fd46b6c30f0c8"><td class="memItemLeft" align="right" valign="top">NSURL *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#af1a334ad35323e1f865fd46b6c30f0c8">contentURL</a></td></tr>
<tr class="separator:af1a334ad35323e1f865fd46b6c30f0c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94d818680e7a36895593c377d4fb6a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_f_b_s_d_k_hashtag.html">FBSDKHashtag</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#ac94d818680e7a36895593c377d4fb6a1">hashtag</a></td></tr>
<tr class="separator:ac94d818680e7a36895593c377d4fb6a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07031f755deb87e88a8c0765c9d6651d"><td class="memItemLeft" align="right" valign="top">NSArray *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a07031f755deb87e88a8c0765c9d6651d">peopleIDs</a></td></tr>
<tr class="separator:a07031f755deb87e88a8c0765c9d6651d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8af542b311e24d38c73221d81d250399"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a8af542b311e24d38c73221d81d250399">placeID</a></td></tr>
<tr class="separator:a8af542b311e24d38c73221d81d250399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea294c3c5b2fd923d00ea95fc19a20d"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a5ea294c3c5b2fd923d00ea95fc19a20d">ref</a></td></tr>
<tr class="separator:a5ea294c3c5b2fd923d00ea95fc19a20d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40d489778fb41ff543a64f983da7cae3"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a40d489778fb41ff543a64f983da7cae3">pageID</a></td></tr>
<tr class="separator:a40d489778fb41ff543a64f983da7cae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a297b66007d1dcc922a455d232af25e33"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html#a297b66007d1dcc922a455d232af25e33">shareUUID</a></td></tr>
<tr class="separator:a297b66007d1dcc922a455d232af25e33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_copying-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_copying-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_copying-p.html">&lt;FBSDKCopying&gt;</a></td></tr>
<tr class="memitem:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_copying-p.html#a93cd1625db2e893f0880c1093e4caf0c">copy</a></td></tr>
<tr class="separator:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A base interface for content to be shared. </p>
</div><h2 class="groupheader">Property Documentation</h2>
<a id="af1a334ad35323e1f865fd46b6c30f0c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1a334ad35323e1f865fd46b6c30f0c8">&#9670;&nbsp;</a></span>contentURL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSURL*) contentURL</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>URL for the content being shared.</p>
<p>This URL will be checked for all link meta tags for linking in platform specific ways. See documentation for App Links (<a href="https://developers.facebook.com/docs/applinks/">https://developers.facebook.com/docs/applinks/</a>)</p><ul>
<li>Returns: URL representation of the content link </li>
</ul>

</div>
</div>
<a id="ac94d818680e7a36895593c377d4fb6a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac94d818680e7a36895593c377d4fb6a1">&#9670;&nbsp;</a></span>hashtag</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_f_b_s_d_k_hashtag.html">FBSDKHashtag</a>*) hashtag</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Hashtag for the content being shared.</p><ul>
<li>Returns: The hashtag for the content being shared. </li>
</ul>

</div>
</div>
<a id="a40d489778fb41ff543a64f983da7cae3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40d489778fb41ff543a64f983da7cae3">&#9670;&nbsp;</a></span>pageID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) pageID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>For shares into Messenger, this pageID will be used to map the app to page and attach attribution to the share.</p><ul>
<li>Returns: The ID of the Facebok page this share is associated with. </li>
</ul>

</div>
</div>
<a id="a07031f755deb87e88a8c0765c9d6651d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07031f755deb87e88a8c0765c9d6651d">&#9670;&nbsp;</a></span>peopleIDs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSArray*) peopleIDs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>List of IDs for taggable people to tag with this content. See documentation for Taggable Friends (<a href="https://developers.facebook.com/docs/graph-api/reference/user/taggable_friends">https://developers.facebook.com/docs/graph-api/reference/user/taggable_friends</a>)</p><ul>
<li>Returns: Array of IDs for people to tag (NSString) </li>
</ul>

</div>
</div>
<a id="a8af542b311e24d38c73221d81d250399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8af542b311e24d38c73221d81d250399">&#9670;&nbsp;</a></span>placeID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) placeID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The ID for a place to tag with this content.</p><ul>
<li>Returns: The ID for the place to tag </li>
</ul>

</div>
</div>
<a id="a5ea294c3c5b2fd923d00ea95fc19a20d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea294c3c5b2fd923d00ea95fc19a20d">&#9670;&nbsp;</a></span>ref</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) ref</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A value to be added to the referrer URL when a person follows a link from this shared content on feed.</p><ul>
<li>Returns: The ref for the content. </li>
</ul>

</div>
</div>
<a id="a297b66007d1dcc922a455d232af25e33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a297b66007d1dcc922a455d232af25e33">&#9670;&nbsp;</a></span>shareUUID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) shareUUID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A unique identifier for a share involving this content, useful for tracking purposes.</p><ul>
<li>Returns: A unique string identifying this share data. </li>
</ul>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_sharing_content_8h_source.html">FBSDKSharingContent.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
